%define		pkg	promzard
Summary:	prompting wizardly
Name:		nodejs-%{pkg}
Version:	0.2.0
Release:	1
License:	BSD
Group:		Development/Libraries
URL:		https://github.com/isaacs/promzard
Source0:	http://registry.npmjs.org/%{pkg}/-/%{pkg}-%{version}.tgz
# Source0-md5:	313e53a75fc058a2735dd3d5fc28b15f
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
Requires:	nodejs-read >= 1.0.0
Requires:	nodejs-read < 2.0.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
prompting wizardly.

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{nodejs_libdir}/%{pkg}}
cp -a package.json promzard.js $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a example $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{nodejs_libdir}/%{pkg}
%{_examplesdir}/%{name}-%{version}
%changelog
* Thu Apr 04 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-promzard.git;a=log;h=master

* Sat Feb 16 2013 Aria <aredridel@nbtsc.org> dab1483
Adapterized

* Mon Dec 03 2012 Aria Stewart <aredridel@nbtsc.org> 7e6a2a5
Initial commit

